/*******************************************************************************
* File Name: cmp_puls.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_cmp_puls_ALIASES_H) /* Pins cmp_puls_ALIASES_H */
#define CY_PINS_cmp_puls_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define cmp_puls_0			(cmp_puls__0__PC)
#define cmp_puls_0_PS		(cmp_puls__0__PS)
#define cmp_puls_0_PC		(cmp_puls__0__PC)
#define cmp_puls_0_DR		(cmp_puls__0__DR)
#define cmp_puls_0_SHIFT	(cmp_puls__0__SHIFT)
#define cmp_puls_0_INTR	((uint16)((uint16)0x0003u << (cmp_puls__0__SHIFT*2u)))

#define cmp_puls_INTR_ALL	 ((uint16)(cmp_puls_0_INTR))


#endif /* End Pins cmp_puls_ALIASES_H */


/* [] END OF FILE */
