/*******************************************************************************
* File Name: timer_set.h  
* Version 2.20
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_timer_set_ALIASES_H) /* Pins timer_set_ALIASES_H */
#define CY_PINS_timer_set_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define timer_set_0			(timer_set__0__PC)
#define timer_set_0_PS		(timer_set__0__PS)
#define timer_set_0_PC		(timer_set__0__PC)
#define timer_set_0_DR		(timer_set__0__DR)
#define timer_set_0_SHIFT	(timer_set__0__SHIFT)
#define timer_set_0_INTR	((uint16)((uint16)0x0003u << (timer_set__0__SHIFT*2u)))

#define timer_set_INTR_ALL	 ((uint16)(timer_set_0_INTR))


#endif /* End Pins timer_set_ALIASES_H */


/* [] END OF FILE */
